classification
Title: flaky test in test_ftplib
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: giampaolo.rodola Nosy List: BreamoreBoy, giampaolo.rodola, pitrou, vstinner
Priority: normal Keywords:

Created on 2012-09-12 16:21 by pitrou, last changed 2017-05-04 15:15 by vstinner. This issue is now closed.

Messages (5)
msg170402 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-09-12 16:21
Seen on a buildbot:

======================================================================
ERROR: test_storlines (test.test_ftplib.TestTLS_FTPClassMixin)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/export/home/buildbot/64bits/3.x.cea-indiana-amd64/build/Lib/test/test_ftplib.py", line 583, in test_storlines
    self.client.storlines('stor', f)
  File "/export/home/buildbot/64bits/3.x.cea-indiana-amd64/build/Lib/ftplib.py", line 811, in storlines
    conn.unwrap()
  File "/export/home/buildbot/64bits/3.x.cea-indiana-amd64/build/Lib/ssl.py", line 495, in unwrap
    s = self._sslobj.shutdown()
socket.timeout: The read operation timed out

http://buildbot.python.org/all/builders/AMD64%20OpenIndiana%203.x/builds/4429/steps/test/logs/stdio
msg170403 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2012-09-12 16:30
Assigning to me but I won't be able to look into it for a while.
msg220395 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-12 22:53
Can it be assumed that this is no longer a problem?
msg226446 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-05 19:11
Surely a test issue can be closed after two years?
msg292987 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-04 15:15
I didn't see this failure recently on any buildbot.
History
Date User Action Args
2017-05-04 15:15:57vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg292987

resolution: out of date
stage: resolved
2014-09-05 19:11:56BreamoreBoysetmessages: + msg226446
2014-06-12 22:53:13BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220395
2012-09-12 16:30:53giampaolo.rodolasetassignee: giampaolo.rodola
messages: + msg170403
2012-09-12 16:21:35pitroucreate